## ktp-common-internals 20.08.0

=== CMakeLists.txt ===
project(ktp-common-internals)

cmake_minimum_required (VERSION 3.5)

find_package(ECM 1.7.0 REQUIRED NO_MODULE)
set (CMAKE_MODULE_PATH
     "${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules"
     ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR}
)
cmake_policy(SET CMP0002 OLD)

# KDE Application Version, managed by release script
set (RELEASE_SERVICE_VERSION_MAJOR "20")
set (RELEASE_SERVICE_VERSION_MINOR "08")
set (RELEASE_SERVICE_VERSION_MICRO "0")

# Bump for every 0.x release, or whenever BC changes
set (KTP_SONUMBER 9) # SO 9 is for 15.08 release
set (KTP_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
set (KTP_MESSAGE_FILTER_FRAMEWORK_VERSION "5")

find_package (Qt5 REQUIRED CONFIG COMPONENTS
              DBus
              Qml
              Sql
              Test
              Xml)

find_package (KF5 5.11 REQUIRED COMPONENTS
              CoreAddons
              Notifications
              KIO
              WidgetsAddons
              KCMUtils
              NotifyConfig
              TextEditor
              Wallet
              Config
              WindowSystem
              IconThemes
              People)

set(REQUIRED_TPQT_VERSION 0.9.8)

find_package (TelepathyQt5 ${REQUIRED_TPQT_VERSION} COMPONENTS Core REQUIRED)
find_package (TelepathyQt5 ${REQUIRED_TPQT_VERSION} COMPONENTS Service) #used for the otr-proxy
find_package (TelepathyLoggerQt)

find_package (KAccounts)
find_package (AccountsQt5 1.10 CONFIG)
find_package (SignOnQt5 8.55 CONFIG)
find_package (LibOTR 4.0.0)
find_package (Libgcrypt)
find_package (telepathy-accounts-signon)

if (LIBOTR_FOUND AND LIBGCRYPT_FOUND AND TARGET TelepathyQt5::Service)
    set(OTR_LIBS_FOUND TRUE)
endif ()

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(ECMMarkNonGuiExecutable)
include(ECMPackageConfigHelpers)
include(ECMInstallIcons)
include(ECMSetupVersion)
include(GenerateExportHeader)
include(CMakePackageConfigHelpers)
include(WriteBasicConfigVersionFile)
include(CheckIncludeFiles)
include(FeatureSummary)

set_package_properties(KF5People PROPERTIES DESCRIPTION "Support for KDE Contact Aggregation"
                       URL "https://commits.kde.org/kpeople"
                       TYPE OPTIONAL
                      )
set_package_properties(TelepathyLoggerQt PROPERTIES DESCRIPTION "Qt bindings for TelepathyLogger. This is needed to provide access to chat logs. HIGHLY recommended"
                       URL "https://commits.kde.org/telepathy-logger-qt"
                       TYPE OPTIONAL
                      )
set_package_properties(LibOTR PROPERTIES DESCRIPTION "Required for OTR support" TYPE OPTIONAL)
set_package_properties(Libgcrypt PROPERTIES DESCRIPTION "Required for OTR support" TYPE OPTIONAL)

set_package_properties(telepathy-accounts-signon PROPERTIES
                       PURPOSE "Runtime-only dependency on a Telepathy Mission Control plugin, currently residing at https://gitlab.com/accounts-sso/telepathy-accounts-signon"
                       TYPE RUNTIME
                      )

add_definitions(-DKTP_MESSAGE_FILTER_FRAMEWORK_VERSION=\"${KTP_MESSAGE_FILTER_FRAMEWORK_VERSION}\")
add_definitions(-DTRANSLATION_DOMAIN=\"ktp-common-internals\")
add_definitions (
                 -DQT_NO_CAST_FROM_ASCII
                 -DQT_NO_KEYWORDS
)
add_definitions(-DQT_NO_URL_CAST_FROM_STRING)

include_directories (
                     ${CMAKE_CURRENT_BINARY_DIR}
                     ${CMAKE_CURRENT_SOURCE_DIR}
)

if (KF5People_FOUND)
    add_definitions(-DHAVE_KPEOPLE)
    add_subdirectory(kpeople)
endif ()

#If we find KAccounts library, build the plugin for it
if (KAccounts_FOUND AND AccountsQt5_FOUND AND SignOnQt5_FOUND)
    include_directories(${ACCOUNTSQT_INCLUDE_DIRS} ${SIGNONQT_INCLUDE_DIRS})
    add_subdirectory(kaccounts)
endif ()

ecm_setup_version(${KTP_VERSION} VARIABLE_PREFIX KTP
                        VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/ktp_version.h"
                        PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KTpConfigVersion.cmake"
                        SOVERSION ${KTP_SONUMBER})

add_subdirectory(KTp)
add_subdirectory(tools)
add_subdirectory(data)
add_subdirectory(tests)

if (OTR_LIBS_FOUND)
    include_directories (${LIBOTR_INCLUDE_DIR}
                         ${LIBGCRYPT_INCLUDE_DIR}
    )
    add_subdirectory(otr-proxy)
endif (OTR_LIBS_FOUND)

set(CMAKECONFIG_INSTALL_DIR "${CMAKECONFIG_INSTALL_PREFIX}/KTp")

ecm_configure_package_config_file("${CMAKE_CURRENT_SOURCE_DIR}/KTpConfig.cmake.in"
                              "${CMAKE_CURRENT_BINARY_DIR}/KTpConfig.cmake"
                              INSTALL_DESTINATION  ${CMAKECONFIG_INSTALL_DIR}
                              )

install(FILES  "${CMAKE_CURRENT_BINARY_DIR}/KTpConfig.cmake"
               "${CMAKE_CURRENT_BINARY_DIR}/KTpConfigVersion.cmake"
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        COMPONENT Devel )

install(EXPORT KTpTargets DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        FILE KTpTargets.cmake NAMESPACE KTp:: COMPONENT Devel)

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)
ki18n_install(po)

=== tests/CMakeLists.txt ===

include_directories(
  ${CMAKE_SOURCE_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}/..
  ${CMAKE_CURRENT_SOURCE_DIR}/..
  )

set(model_view_SRCS
    model-view.cpp
)

ki18n_wrap_ui(model_view_SRCS model-view.ui)

add_executable(ktp_contact_list_model_view
    ${model_view_SRCS}
    contact-list-model-view-main.cpp
)

target_link_libraries(ktp_contact_list_model_view
  Qt5::Test
  Qt5::Widgets
  KF5::CoreAddons
  KF5::I18n
  KTp::CommonInternals
  KTp::Models
)

if (KF5People_FOUND)

    add_executable(ktp_kpeople_list_model_view
        ${model_view_SRCS}
        kpeople-model-view-main.cpp
    )

    target_link_libraries(ktp_kpeople_list_model_view
    Qt5::Test
    Qt5::Widgets
    KF5::I18n
    KF5::People
    KF5::CoreAddons
    KTp::CommonInternals
    KTp::Models
    )

endif ()

=== KTp/Logger/CMakeLists.txt ===
set(KTP_LOGGER_PLUGIN_VERSION "1")

set (ktp_logger_private_SRCS
    abstract-logger-plugin.cpp
    log-entity.cpp
    log-manager.cpp
    log-message.cpp
    log-search-hit.cpp
    pending-logger-dates.cpp
    pending-logger-dates-impl.cpp
    pending-logger-entities.cpp
    pending-logger-entities-impl.cpp
    pending-logger-logs.cpp
    pending-logger-logs-impl.cpp
    pending-logger-operation.cpp
    pending-logger-search.cpp
    pending-logger-search-impl.cpp
    scrollback-manager.cpp
    debug.cpp
)

set (ktp_logger_private_HDRS
    abstract-logger-plugin.h
    log-entity.h
    log-manager.h
    log-message.h
    log-search-hit.h
    pending-logger-dates.h
    pending-logger-entities.h
    pending-logger-logs.h
    pending-logger-operation.h
    pending-logger-search.h
    scrollback-manager.h
    ${CMAKE_CURRENT_BINARY_DIR}/ktplogger_export.h
)

add_library (KTpLogger ${ktp_logger_private_SRCS})
add_library (KTp::Logger ALIAS KTpLogger)

generate_export_header(KTpLogger)

set_target_properties(KTpLogger PROPERTIES
                                VERSION ${KTP_VERSION}
                                SOVERSION ${KTP_SONUMBER}
                                EXPORT_NAME Logger
                                DEFINE_SYMBOL MAKE_KTP_LIB)

target_include_directories(KTpLogger PUBLIC $<BUILD_INTERFACE:${CMAKE_CURRENT_BINARY_DIR}>)

target_link_libraries (KTpLogger
                PUBLIC
                       KTp::CommonInternals
                       ${TELEPATHY_LOGGER_LIBRARIES}
                PRIVATE
                       KF5::Service
)

install (TARGETS KTpLogger
         EXPORT KTpTargets
         ${KDE_INSTALL_TARGETS_DEFAULT_ARGS}
)

install (FILES ${ktp_logger_private_HDRS}
         DESTINATION ${KDE_INSTALL_INCLUDEDIR}/KTp/Logger
)

install(FILES ktp_logger_plugin.desktop
        DESTINATION ${SERVICETYPES_INSTALL_DIR}
)


add_subdirectory(plugins)

=== debian/changelog ===
ktp-common-internals (20.08.0-1) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.
  * New upstream release.
  * Enable again the kaccounts integration:
    - enable the libkaccounts-dev build dependency, bumping it to 20.04.0
    - install again the plugin in kde-telepathy-kaccounts
    - remove all the lintian overrides for it

 -- Pino Toscano <pino@debian.org>  Thu, 13 Aug 2020 21:58:02 +0200

ktp-common-internals (20.04.3-1) experimental; urgency=medium

  * Team upload.
  * New upstream release.
  * Update the patches:
    - ftbfs-with-telepathyqt-098: drop, backported from upstream
  * Update the build dependencies according to the upstream build system:
    - bump cmake to 3.5
    - bump libtelepathy-qt5-dev to 0.9.8
  * Switch from dhmk to the dh sequencer:
    - invoke the dh sequencer using the kf5, and pkgkde_symbolshelper addons
    - call the right debhelper command instead of $(overridden_command)
    - manually force the generation of the substvars for the kde-l10n breaks
  * Bump the debhelper compatibility to 13:
    - switch the debhelper build dependency to debhelper-compat 13
    - remove debian/compat
    - stop passing --list-missing to dh_install, as the default behaviour is
      --fail-missing now
  * Add Rules-Requires-Root: no.
  * Bump Standards-Version to 4.5.0, no changes required.
  * Add the configuration for the CI on salsa.
  * Few libraries had ABI breaks with no SONAME bump, so:
    - apply the Debian ABI manager; patch enable_debianabimanager.diff
    - rename libktpcommoninternals9 to libktpcommoninternals9abi1
    - rename libktplogger9 to libktplogger9abi1
    - rename libktpmodels9 to libktpmodels9abi1
  * Temporarily disable the kaccount integration, as it requires libkaccount
    >= 20.04 (not available yet in Debian).
  * Update symbols files.
  * Update install files.
  * Update lintian overrides.
  * Rework the dependencies of libktp-dev: use the sodep dh addon to generate
    the list shared libraries to depend on, and use the ${so:Depends} substvar.
  * Tighten the inter-library dependencies.
  * Mark kde-telepathy-data as Multi-Arch: foreign, and all the library
    packages as Multi-Arch: same.

 -- Pino Toscano <pino@debian.org>  Wed, 05 Aug 2020 12:15:16 +0200

ktp-common-internals (17.08.3-2) unstable; urgency=medium

  * Team upload.

  [ John Scott ]
  * Fix FTBFS with Telepathy-Qt 0.9.8 (Closes: #949236)
  * Switch VCS links to Salsa

  [ Aurélien COUDERC ]
  * Switch watch file to new KDE release service URL.
  * Borrow minimal upstream signing key from k3b and activate upstream tarball
    signature check.
  * Add missing Replaces: libktpcommoninternalsprivate7.
  * Build with hardening=+all build hardening flag.
  * Add lintian override for ktp-debugger not having a manpage, upstream
    doesn’t provide one and it doesn’t have command line arguments.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 11 Mar 2020 23:08:53 +0100

ktp-common-internals (17.08.3-1) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.
  * New upstream release.
  * Bump Standards-Version to 4.1.2, no changes required.
  * Simplify watch file, and switch it to https.
  * Remove trailing whitespaces in changelog.
  * Update few build & runtime dependencies:
    - bump libtelepathy-logger-qt-dev to >= 17.08~
    - bump libtelepathy-qt5-dev to >= 0.9.7~
  * Update symbols files.
  * Remove duplicated Priority in kde-telepathy-debugger.
  * Adjust l10npkgs_firstversion_ok to the version where kde-l10n will
    drop translations.

 -- Pino Toscano <pino@debian.org>  Sat, 09 Dec 2017 08:35:36 +0100

ktp-common-internals (17.08.1-1) experimental; urgency=medium

  * Set Priority to optional
  * New upstream release (17.08.1).
  * Update symbols files
  * Add breaks/replaces against the kde-l10n packages
  * Bump group breaks (17.08)
  * Release to experimental

 -- Maximiliano Curia <maxy@debian.org>  Mon, 11 Sep 2017 19:59:12 +0200

ktp-common-internals (16.04.2-1) experimental; urgency=medium

  [ Automatic packaging ]
  * Update symbols files from buildds logs (16.04.1-1).

 -- Maximiliano Curia <maxy@debian.org>  Thu, 23 Jun 2016 14:36:57 +0200

ktp-common-internals (16.04.1-1) experimental; urgency=medium

  [ Maximiliano Curia ]
  * New upstream release (15.12.2).
  * Add dependency required by the cmake files
  * Update install files

  [ Automatic packaging ]
  * Bump Standards-Version to 3.9.8
  * Update build-deps and deps with the info from cmake
  * Update symbols files.

 -- Maximiliano Curia <maxy@debian.org>  Fri, 27 May 2016 11:06:37 +0200

=== debian/control ===
Source: ktp-common-internals
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Diane Trout <diane@ghic.org>,
           Michał Zając <quintasan@kubuntu.org>,
           Mark Purcell <msp@debian.org>,
Build-Depends: cmake (>= 3.5~),
               debhelper-compat (= 13),
               doxygen,
               extra-cmake-modules (>= 5~),
               gettext,
               libaccounts-qt5-dev (>= 1.10~),
               libgcrypt20-dev,
               libkaccounts-dev (>= 4:20.04.0~),
               libkf5config-dev (>= 5.11~),
               libkf5coreaddons-dev (>= 5.11~),
               libkf5iconthemes-dev (>= 5.11~),
               libkf5kcmutils-dev (>= 5.11~),
               libkf5kio-dev (>= 5.11~),
               libkf5notifications-dev (>= 5.11~),
               libkf5notifyconfig-dev (>= 5.11~),
               libkf5people-dev (>= 5.11~),
               libkf5texteditor-dev (>= 5.11~),
               libkf5wallet-dev (>= 5.11~),
               libkf5widgetsaddons-dev (>= 5.11~),
               libkf5windowsystem-dev (>= 5.11~),
               libotr5-dev (>= 4.0.0~),
               libsignon-qt5-dev (>= 8.55~),
               libtelepathy-logger-qt-dev (>= 17.08~),
               libtelepathy-qt5-dev (>= 0.9.8~),
               pkg-kde-tools (>> 0.15.15),
               qtbase5-dev (>= 5.4),
               qtdeclarative5-dev (>= 5.4),
Standards-Version: 4.5.0
Rules-Requires-Root: no
Homepage: https://projects.kde.org/projects/extragear/network/telepathy/ktp-common-internals
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/ktp-common-internals
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/ktp-common-internals.git

Package: kde-telepathy-data
Section: kde
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Breaks: kde-config-telepathy-accounts (<< 17.08),
        kde-telepathy-approver (<< 17.08),
        kde-telepathy-auth-handler (<< 17.08),
        kde-telepathy-call-ui (<< 17.08),
        kde-telepathy-contact-list (<< 17.08),
        kde-telepathy-filetransfer-handler (<< 17.08),
        kde-telepathy-integration-module (<< 17.08),
        kde-telepathy-send-file (<< 17.08),
        kde-telepathy-text-ui (<< 17.08),
        plasma-runner-telepathy-contact (<< 17.08),
        ${kde-l10n:all},
Replaces: ${kde-l10n:all}
Description: Shared data for all the KDE Telepathy components
 This package contains KDE Telepathy shared data.
 .
 These various data files are used by nearly all the different KDE
 Telepathy components, and include files such as icons and
 translations.

Package: kde-telepathy-debugger
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Debugging tool for KDE Telepathy
 This package contains a GUI debugging tool which can be used to debug
 issues in Telepathy.
 .
 It will show the debugging messages from the various telepathy
 components.

Package: kde-telepathy-kaccounts
Section: kde
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: kaccounts plugins for kde-telepathy
 This links KDE telepathy to kaccounts and vice versa, allowing migrating
 settings from telepathy internal storage to a system-wide shared accounts
 management system.
 .
 This contains plugins to work with kaccounts.
Breaks: kde-config-telepathy-accounts (<< 17.08)

Package: kde-telepathy-kpeople
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: kde-config-telepathy-accounts (<< 17.08),
        kde-telepathy-contact-list (<< 17.08),
        kde-telepathy-data (<< 0.9.0),
Replaces: kde-telepathy-data (<< 0.9.0)
Description: kpeople plugins for kde-telepathy
 This contains plugins to allow kde-telepathy to use kpeople,
 This is necessary for grouping multiple IM accounts into
 meta-contacts.

Package: libktp-dev
Section: libdevel
Architecture: any
Depends: libkf5wallet-dev (>= 5.11~),
         libtelepathy-logger-qt-dev (>= 17.08~),
         ${misc:Depends},
         ${so:Depends},
Breaks: libktpcommoninternalsprivate-dev (<< 15.03.80)
Replaces: libktpcommoninternalsprivate-dev (<< 15.03.80)
Description: KDE Telepathy internal library - Development headers
 Internal library which consists of the most reused
 parts across KDE Telepathy.
 .
 This package contains development headers for
 the ktp-common-internals library.
 .
 You should not use this library for developing applications
 outside of the KDE Telepathy project umbrella. This package
 is only provided for compiling the rest of the components.

Package: libktpcommoninternals9abi1
X-Debian-ABI: 1
X-CMake-Target: KTpCommonInternals
Architecture: any
Multi-Arch: same
Depends: kaccounts-integration (>= 15.04),
         libkf5people5 (>= 0.3.0),
         libtelepathy-logger-qt5 (>= 15.04),
         telepathy-accounts-signon,
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: kde-telepathy-kaccounts (= ${binary:Version}),
            kde-telepathy-kpeople (= ${binary:Version}),
Replaces: libktpcommoninternalsprivate6 (<< 0.7.80),
          libktpcommoninternalsprivate7,
Breaks: kde-telepathy-auth-handler (<< 17.08),
        kde-telepathy-call-ui (<< 17.08),
        kde-telepathy-contact-list (<< 17.08),
        kde-telepathy-filetransfer-handler (<< 17.08),
        kde-telepathy-integration-module (<< 17.08),
        kde-telepathy-send-file (<< 17.08),
        kde-telepathy-text-ui (<< 17.08),
        libktpcommoninternalsprivate6 (<< 0.7.80),
        libktpcommoninternalsprivate7,
        plasma-runner-telepathy-contact (<< 17.08),
Description: KDE Telepathy common internal library
 Internal library which consists of the most reused
 parts across KDE Telepathy.
 .
 This contains the generic common components.

Package: libktplogger9abi1
X-Debian-ABI: 1
X-CMake-Target: KTpLogger
Architecture: any
Multi-Arch: same
Breaks: kde-telepathy-contact-list (<< 17.08),
        kde-telepathy-text-ui (<< 17.08),
        libktploggerprivate7 (<< 0.8.80~),
        libktplogger9 (<< 20.04.3~),
Replaces: libktploggerprivate7 (<< 0.8.80~),
          libktplogger9 (<< 20.04.3~),
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: KDE Telepathy internal logger library
 Internal library which consists of the most reused
 parts across KDE Telepathy.
 .
 This includes the shared KDE-Telepathy logger service.

Package: libktpmodels9abi1
X-Debian-ABI: 1
X-CMake-Target: KTpModels
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: KDE Telepathy data models internal library
 Internal library which consists of the most reused
 parts across KDE Telepathy.
 .
 This includes Qt models.
Breaks: kde-telepathy-contact-list (<< 17.08),
        kde-telepathy-send-file (<< 17.08),
        kde-telepathy-text-ui (<< 17.08),

Package: libktpotr9
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: kde-telepathy-text-ui (<< 17.08), libktpotrprivate8 (<< 15.03)
Replaces: libktpotrprivate8 (<< 15.03)
Description: KDE Telepathy internal OTR library
 Internal library which consists of the most reused
 parts across KDE Telepathy.
 .
 This includes components to support OTR

Package: libktpwidgets9
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: KDE Telepathy common internal widgets library
 Internal library which consists of the most reused
 parts across KDE Telepathy.
 .
 This also includes common widgets like the contact grid.
Breaks: kde-telepathy-call-ui (<< 17.08),
        kde-telepathy-contact-list (<< 17.08),
        kde-telepathy-integration-module (<< 17.08),
        kde-telepathy-send-file (<< 17.08),
        kde-telepathy-text-ui (<< 17.08),

Package: qml-module-org-kde-telepathy
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Replaces: kde-telepathy-declarative (<< 15.03)
Breaks: kde-telepathy-call-ui (<< 17.08),
        kde-telepathy-declarative (<< 15.03),
        kde-telepathy-desktop-applets (<< 17.08),
Description: kde-telepathy QtDeclarative QML support
 Contains a plugin for QtDeclarative that provides
 support for using KDE-Telepathy to components written
 in QML.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

l10npkgs_firstversion_ok := 4:16.04.3-7~
include /usr/share/pkg-kde-tools/qt-kde-team/2/l10n-packages.mk
libpkgs_gen_strict_local_shlibs = $(libpkgs_all_packages)
include /usr/share/pkg-kde-tools/qt-kde-team/2/library-packages.mk

%:
	dh $@ --with kf5,pkgkde_symbolshelper,sodeps

override_dh_strip:
	dh_strip --dbgsym-migration='libktp-dbg (<= 15.12.1-1~~)'

override_dh_gencontrol-indep: l10npkgs_firstversion_ok
	dh_gencontrol -i

override_dh_gencontrol-arch: libpkgs_gen_strict_local_shlibs
	dh_gencontrol -a

## ktp-common-internals 20.08.1

=== debian/changelog ===
ktp-common-internals (4:20.08.1-0ubuntu1) groovy; urgency=medium

  * New upstream release (20.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Sep 2020 13:59:26 +0100

ktp-common-internals (4:20.08.0-0ubuntu1) groovy; urgency=medium

  * New upstream release (20.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 13 Aug 2020 19:51:14 +0100

ktp-common-internals (4:20.04.3-0ubuntu1) groovy; urgency=medium

  * New upstream release (20.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Jul 2020 21:48:57 +0100

ktp-common-internals (4:20.04.2-0ubuntu1) groovy; urgency=medium

  * New upstream release (20.04.2)

 -- Rik Mills <rikmills@kde.org>  Sat, 20 Jun 2020 13:22:04 +0100

ktp-common-internals (4:20.04.1-0ubuntu1) groovy; urgency=medium

  * New upstream release (20.04.1)

 -- Rik Mills <rikmills@kde.org>  Fri, 15 May 2020 14:40:14 +0100

ktp-common-internals (4:20.04.0-0ubuntu1) groovy; urgency=medium

  * New upstream release (20.04.0)
  * Update install files.

 -- Rik Mills <rikmills@kde.org>  Mon, 04 May 2020 10:26:07 +0100

=== debian/control ===
Source: ktp-common-internals
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Diane Trout <diane@ghic.org>,
           Michał Zając <quintasan@kubuntu.org>,
           Mark Purcell <msp@debian.org>,
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 9),
               doxygen,
               extra-cmake-modules (>= 5.31.0~),
               gettext,
               libaccounts-glib-dev,
               libaccounts-qt5-dev (>= 1.10~),
               libgcrypt20-dev,
               libkaccounts-dev (>= 4:20.08.1~),
               libkf5config-dev (>= 5.31.0~),
               libkf5coreaddons-dev (>= 5.31.0~),
               libkf5iconthemes-dev (>= 5.31.0~),
               libkf5kcmutils-dev (>= 5.31.0~),
               libkf5kio-dev (>= 5.31.0~),
               libkf5notifications-dev (>= 5.31.0~),
               libkf5notifyconfig-dev (>= 5.31.0~),
               libkf5people-dev (>= 5.31.0~),
               libkf5texteditor-dev (>= 5.31.0~),
               libkf5wallet-dev (>= 5.31.0~),
               libkf5widgetsaddons-dev (>= 5.31.0~),
               libkf5windowsystem-dev (>= 5.31.0~),
               libotr5-dev (>= 4.0.0~),
               libsignon-qt5-dev,
               libtelepathy-logger-qt-dev (>= 15.04),
               libtelepathy-qt5-dev (>= 0.9.5),
               pkg-kde-tools (>> 0.15.15),
               qtbase5-dev (>= 5.6.1~),
               qtdeclarative5-dev (>= 5.6.1~),
               telepathy-accounts-signon,
Standards-Version: 4.1.2
Homepage: https://projects.kde.org/projects/extragear/network/telepathy/ktp-common-internals
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/ktp-common-internals
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/ktp-common-internals

Package: kde-telepathy-data
Section: kde
Architecture: all
Depends: ${misc:Depends}
Breaks: kde-telepathy-debugger (<< 4:18.08.3~), ${kde-l10n:all}
Replaces: kde-telepathy-debugger (<< 4:18.08.3~), ${kde-l10n:all}
Description: Shared data for all the KDE Telepathy components
 This package contains KDE Telepathy shared data.
 .
 These various data files are used by nearly all the different KDE
 Telepathy components, and include files such as icons and
 translations.

Package: kde-telepathy-debugger
Priority: optional
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Debugging tool for KDE Telepathy
 This package contains a GUI debugging tool which can be used to debug
 issues in Telepathy.
 .
 It will show the debugging messages from the various telepathy
 components.

Package: kde-telepathy-kaccounts
Section: kde
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: kaccounts plugins for kde-telepathy
 This links KDE telepathy to kaccounts and vice versa, allowing migrating
 settings from telepathy internal storage to a system-wide shared accounts
 management system.
 .
 This contains plugins to work with kaccounts.

Package: kde-telepathy-kpeople
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: kde-telepathy-data (<< 0.9.0)
Replaces: kde-telepathy-data (<< 0.9.0)
Description: kpeople plugins for kde-telepathy
 This contains plugins to allow kde-telepathy to use kpeople,
 This is necessary for grouping multiple IM accounts into
 meta-contacts.

Package: libktp-dev
Section: libdevel
Architecture: any
Depends: libkf5wallet-dev (>= 5.11~),
         libktpcommoninternals9 (= ${binary:Version}),
         libktplogger9 (= ${binary:Version}),
         libktpmodels9 (= ${binary:Version}),
         libktpotr9 (= ${binary:Version}),
         libktpwidgets9 (= ${binary:Version}),
         libtelepathy-logger-qt-dev (>= 17.08~),
         ${misc:Depends},
Breaks: libktpcommoninternalsprivate-dev (<< 15.03.80)
Replaces: libktpcommoninternalsprivate-dev (<< 15.03.80)
Description: KDE Telepathy internal library - Development headers
 Internal library which consists of the most reused
 parts across KDE Telepathy.
 .
 This package contains development headers for
 the ktp-common-internals library.
 .
 You should not use this library for developing applications
 outside of the KDE Telepathy project umbrella. This package
 is only provided for compiling the rest of the components.

Package: libktpcommoninternals9
Architecture: any
Depends: kaccounts-integration (>= 4:15.12.2),
         kde-telepathy-data (= ${source:Version}),
         libkf5people5 (>= 0.3.0),
         libtelepathy-logger-qt5 (>= 15.04),
         telepathy-accounts-signon,
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: kde-telepathy-kaccounts (= ${binary:Version}),
            kde-telepathy-kpeople (= ${binary:Version}),
Replaces: libktpcommoninternalsprivate6 (<< 0.7.80)
Breaks: libktpcommoninternalsprivate6 (<< 0.7.80)
Description: KDE Telepathy common internal library
 Internal library which consists of the most reused
 parts across KDE Telepathy.
 .
 This contains the generic common components.

Package: libktplogger9
Architecture: any
Breaks: libktploggerprivate7 (<< 0.8.80~)
Replaces: libktploggerprivate7 (<< 0.8.80~)
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: KDE Telepathy internal logger library
 Internal library which consists of the most reused
 parts across KDE Telepathy.
 .
 This includes the shared KDE-Telepathy logger service.

Package: libktpmodels9
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: KDE Telepathy data models internal library
 Internal library which consists of the most reused
 parts across KDE Telepathy.
 .
 This includes Qt models.

Package: libktpotr9
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: libktpotrprivate8 (<< 15.03)
Replaces: libktpotrprivate8 (<< 15.03)
Description: KDE Telepathy internal OTR library
 Internal library which consists of the most reused
 parts across KDE Telepathy.
 .
 This includes components to support OTR

Package: libktpwidgets9
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: KDE Telepathy common internal widgets library
 Internal library which consists of the most reused
 parts across KDE Telepathy.
 .
 This also includes common widgets like the contact grid.

Package: qml-module-org-kde-telepathy
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Replaces: kde-telepathy-declarative (<< 15.03)
Breaks: kde-telepathy-declarative (<< 15.03)
Description: kde-telepathy QtDeclarative QML support
 Contains a plugin for QtDeclarative that provides
 support for using KDE-Telepathy to components written
 in QML.

## ktp-common-internals 20.12.3

=== debian/changelog ===
ktp-common-internals (4:20.12.3-0ubuntu1) hirsute; urgency=medium

  * New upstream release (20.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 04 Mar 2021 15:26:47 +0000

ktp-common-internals (4:20.12.2-0ubuntu1) hirsute; urgency=medium

  * New upstream release (20.12.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 04 Feb 2021 10:00:01 +0000

ktp-common-internals (4:20.12.1-0ubuntu1) hirsute; urgency=medium

  * New upstream release (20.12.1)

 -- Rik Mills <rikmills@kde.org>  Wed, 20 Jan 2021 23:14:00 +0000

ktp-common-internals (4:20.12.0-0ubuntu1) hirsute; urgency=medium

  * New upstream release (20.12.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 11 Dec 2020 14:33:12 +0000

ktp-common-internals (4:20.08.3-0ubuntu1) hirsute; urgency=medium

  * New upstream release (20.08.3)

 -- Rik Mills <rikmills@kde.org>  Wed, 11 Nov 2020 09:57:10 +0000

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
                libaccounts-glib-dev,
                libaccounts-qt5-dev (>= 1.10~),
                libgcrypt20-dev,
-               libkaccounts-dev (>= 4:20.08.1~),
+               libkaccounts-dev (>= 4:20.12.3~),
                libkf5config-dev (>= 5.31.0~),
                libkf5coreaddons-dev (>= 5.31.0~),
                libkf5iconthemes-dev (>= 5.31.0~),

## ktp-common-internals 21.08.1

=== debian/changelog ===
ktp-common-internals (4:21.08.1-0ubuntu1) impish; urgency=medium

  * New upstream release (21.08.1)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Thu, 09 Sep 2021 22:38:47 +0100

ktp-common-internals (4:21.08.0-0ubuntu1) impish; urgency=medium

  * New upstream release (21.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 12 Aug 2021 09:08:14 +0100

ktp-common-internals (4:21.07.90-0ubuntu1) impish; urgency=medium

  * New upstream (RC) release (21.07.90)

 -- Rik Mills <rikmills@kde.org>  Mon, 02 Aug 2021 13:02:20 +0100

ktp-common-internals (4:21.07.80-0ubuntu1) impish; urgency=medium

  * New upstream (beta) release (21.07.80)

 -- Rik Mills <rikmills@kde.org>  Sun, 18 Jul 2021 20:37:51 +0100

ktp-common-internals (4:21.04.3-0ubuntu1) impish; urgency=medium

  * New upstream release (21.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 08 Jul 2021 11:49:26 +0100

ktp-common-internals (4:21.04.2-0ubuntu1) impish; urgency=medium

  * New upstream release (21.04.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 10 Jun 2021 10:46:37 +0100

ktp-common-internals (4:21.04.1-0ubuntu1) impish; urgency=medium

  * New upstream release (21.04.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 13 May 2021 09:13:03 +0100

ktp-common-internals (4:21.04.0-0ubuntu1) impish; urgency=medium

  * New upstream release (21.04.0)
  * Update install files.

 -- Rik Mills <rikmills@kde.org>  Thu, 29 Apr 2021 01:43:22 +0100

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
                libaccounts-glib-dev,
                libaccounts-qt5-dev (>= 1.10~),
                libgcrypt20-dev,
-               libkaccounts-dev (>= 4:20.12.3~),
+               libkaccounts-dev (>= 4:21.08.1~),
                libkf5config-dev (>= 5.31.0~),
                libkf5coreaddons-dev (>= 5.31.0~),
                libkf5iconthemes-dev (>= 5.31.0~),

## ktp-common-internals 21.12.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -10,9 +10,9 @@
 cmake_policy(SET CMP0002 OLD)
 
 # KDE Application Version, managed by release script
-set (RELEASE_SERVICE_VERSION_MAJOR "20")
-set (RELEASE_SERVICE_VERSION_MINOR "08")
-set (RELEASE_SERVICE_VERSION_MICRO "0")
+set (RELEASE_SERVICE_VERSION_MAJOR "21")
+set (RELEASE_SERVICE_VERSION_MINOR "12")
+set (RELEASE_SERVICE_VERSION_MICRO "3")
 
 # Bump for every 0.x release, or whenever BC changes
 set (KTP_SONUMBER 9) # SO 9 is for 15.08 release

=== KTp/CMakeLists.txt ===
include_directories (${CMAKE_CURRENT_BINARY_DIR}
                     ${CMAKE_CURRENT_SOURCE_DIR})

set (ktp_common_internals_private_SRCS
     abstract-message-filter.cpp
     account-factory.cpp
     actions.cpp
     capabilities-hack-private.cpp
     circular-countdown.cpp
     contact.cpp
     contact-factory.cpp
     core.cpp
     debug.cpp
     error-dictionary.cpp
     global-contact-manager.cpp
     global-presence.cpp
     logs-importer.cpp
     logs-importer-private.cpp
     message.cpp
     message-context.cpp
     message-escape-filter.cpp
     message-filter-config-manager.cpp
     message-processor.cpp
     outgoing-message.cpp
     persistent-contact.cpp
     presence.cpp
     service-availability-checker.cpp
     telepathy-handler-application.cpp
     text-parser.cpp
     pending-wallet.cpp
     wallet-interface.cpp
     wallet-utils.cpp
)

set (ktp_common_internals_private_HDRS
     abstract-message-filter.h
     actions.h
     circular-countdown.h
     contact.h
     contact-factory.h
     core.h
     debug.h
     error-dictionary.h
     global-contact-manager.h
     global-presence.h
     logs-importer.h
     message-filter-config-manager.h
     message.h
     message-context.h
     message-processor.h
     outgoing-message.h
     persistent-contact.h
     presence.h
     service-availability-checker.h
     telepathy-handler-application.h
     text-parser.h
     pending-wallet.h
     wallet-interface.h
     wallet-utils.h
     types.h
     ${CMAKE_CURRENT_BINARY_DIR}/ktpcommoninternals_export.h
)

if (TelepathyLoggerQt_FOUND)
    set (ktp_private_LIBS
         ${ktp_private_LIBS}
         ${TELEPATHY_LOGGER_LIBRARIES}
         )
endif ()

if (KF5People_FOUND)
    set (ktp_private_LIBS
         ${ktp_private_LIBS}
         KF5::People
         )
endif()

add_library (KTpCommonInternals
                 ${ktp_common_internals_private_SRCS}
)
add_library (KTp::CommonInternals ALIAS KTpCommonInternals)

generate_export_header(KTpCommonInternals BASE_NAME KTpCommonInternals)

#Raise SOVERSION for every 0.x cycle
set_target_properties(KTpCommonInternals PROPERTIES
                                        VERSION ${KTP_VERSION}
                                        SOVERSION ${KTP_SONUMBER}
                                        EXPORT_NAME CommonInternals
                                        DEFINE_SYMBOL MAKE_KTP_LIB)

target_link_libraries (KTpCommonInternals
                PUBLIC
                    Qt5::DBus
                    Qt5::Xml
                    KF5::Wallet #included from wallet-interface.h
                    TelepathyQt5::Core
                PRIVATE
                    ${ktp_private_LIBS}
                    KF5::KIOWidgets
                    KF5::I18n
                    KF5::IconThemes
                    KF5::Notifications
                    KF5::IconThemes
)

install (TARGETS KTpCommonInternals
         EXPORT KTpTargets
         ${KDE_INSTALL_TARGETS_DEFAULT_ARGS}
)

install (FILES ${ktp_common_internals_private_HDRS}
         DESTINATION ${KDE_INSTALL_INCLUDEDIR}/KTp
)

add_subdirectory(Declarative)
add_subdirectory(Models)
add_subdirectory(Widgets)
add_subdirectory(Logger)
add_subdirectory(OTR)

# API docs
find_package(Doxygen)

if(DOXYGEN_EXECUTABLE)
  configure_file(${CMAKE_CURRENT_SOURCE_DIR}/Doxyfile.cmake ${CMAKE_CURRENT_BINARY_DIR}/Doxyfile)

  add_custom_target(
    apidox
    COMMAND ${DOXYGEN_EXECUTABLE} Doxyfile)
endif()

=== kpeople/CMakeLists.txt ===
add_subdirectory(actionsplugin)
add_subdirectory(datasourceplugin)
add_subdirectory(uiplugins)

=== KTp/Declarative/CMakeLists.txt ===

include_directories (${CMAKE_CURRENT_BINARY_DIR}
                     ${CMAKE_CURRENT_SOURCE_DIR}
)

set (ktp_qml_plugin_SRCS
    conversation.cpp
    conversations-model.cpp
    messages-model.cpp
    pinned-contacts-model.cpp
    filtered-pinned-contacts-proxy-model.cpp
    contact-pin.cpp
    telepathy-manager.cpp
    qml-plugins.cpp
    debug.cpp
    mainlogmodel.cpp
)

add_library (ktpqmlplugin SHARED ${ktp_qml_plugin_SRCS})

target_link_libraries (ktpqmlplugin
    Qt5::Qml
    Qt5::Sql

    KF5::WindowSystem
    KF5::I18n
    KF5::People
    KTp::CommonInternals
    KTp::Logger
    KTp::Models
    KTp::Widgets
)

install (TARGETS ktpqmlplugin DESTINATION ${QML_INSTALL_DIR}/org/kde/telepathy)
install (FILES qmldir DESTINATION ${QML_INSTALL_DIR}/org/kde/telepathy)

=== debian/changelog ===
ktp-common-internals (21.12.3-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (21.12.3).
  * Added myself to the uploaders.
  * Drop kde-l10n migration rules, not needed anymore.
  * Drop dbgsym migration rules, not needed anymore.
  * Bump Standards-Version to 4.6.0, no change required.
  * Refresh upstream metadata.
  * Drop obsolete Breaks / Replaces.

 -- Aurélien COUDERC <coucouf@debian.org>  Mon, 04 Apr 2022 22:48:21 +0200

ktp-common-internals (21.08.0-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (21.08.0).

 -- Norbert Preining <norbert@preining.info>  Mon, 16 Aug 2021 16:30:48 +0900

ktp-common-internals (21.04.0-1) experimental; urgency=medium

  [ Pino Toscano ]
  * Remove the Multi-Arch from libktpotr9, as it has files with conflicting
    multiarch paths.

  [ Norbert Preining ]
  * New upstream release (21.04.0).
  * Borrow minimal upstream signing key from k3b.
  * Drop Kubuntu from maintainer name.
  * Removed Mark Purcell from the uploaders, thanks for your work on the
    package!
  * Added myself to the uploaders.
  * Update lists of installed files.

 -- Norbert Preining <norbert@preining.info>  Thu, 06 May 2021 10:16:40 +0900

=== debian/control ===
Source: ktp-common-internals
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Diane Trout <diane@ghic.org>,
           Michał Zając <quintasan@kubuntu.org>,
           Norbert Preining <norbert@preining.info>,
Build-Depends: cmake (>= 3.5~),
               debhelper-compat (= 13),
               doxygen,
               extra-cmake-modules (>= 5~),
               gettext,
               libaccounts-qt5-dev (>= 1.10~),
               libgcrypt20-dev,
               libkaccounts-dev (>= 4:20.04.0~),
               libkf5config-dev (>= 5.11~),
               libkf5coreaddons-dev (>= 5.11~),
               libkf5iconthemes-dev (>= 5.11~),
               libkf5kcmutils-dev (>= 5.11~),
               libkf5kio-dev (>= 5.11~),
               libkf5notifications-dev (>= 5.11~),
               libkf5notifyconfig-dev (>= 5.11~),
               libkf5people-dev (>= 5.11~),
               libkf5texteditor-dev (>= 5.11~),
               libkf5wallet-dev (>= 5.11~),
               libkf5widgetsaddons-dev (>= 5.11~),
               libkf5windowsystem-dev (>= 5.11~),
               libotr5-dev (>= 4.0.0~),
               libsignon-qt5-dev (>= 8.55~),
               libtelepathy-logger-qt-dev (>= 17.08~),
               libtelepathy-qt5-dev (>= 0.9.8~),
               pkg-kde-tools (>> 0.15.15),
               qtbase5-dev (>= 5.4),
               qtdeclarative5-dev (>= 5.4),
Standards-Version: 4.6.0
Rules-Requires-Root: no
Homepage: https://projects.kde.org/projects/extragear/network/telepathy/ktp-common-internals
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/ktp-common-internals
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/ktp-common-internals.git

Package: kde-telepathy-data
Section: kde
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: Shared data for all the KDE Telepathy components
 This package contains KDE Telepathy shared data.
 .
 These various data files are used by nearly all the different KDE
 Telepathy components, and include files such as icons and
 translations.

Package: kde-telepathy-debugger
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Debugging tool for KDE Telepathy
 This package contains a GUI debugging tool which can be used to debug
 issues in Telepathy.
 .
 It will show the debugging messages from the various telepathy
 components.

Package: kde-telepathy-kaccounts
Section: kde
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: kaccounts plugins for kde-telepathy
 This links KDE telepathy to kaccounts and vice versa, allowing migrating
 settings from telepathy internal storage to a system-wide shared accounts
 management system.
 .
 This contains plugins to work with kaccounts.

Package: kde-telepathy-kpeople
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: kpeople plugins for kde-telepathy
 This contains plugins to allow kde-telepathy to use kpeople,
 This is necessary for grouping multiple IM accounts into
 meta-contacts.

Package: libktp-dev
Section: libdevel
Architecture: any
Depends: libkf5wallet-dev (>= 5.11~),
         libtelepathy-logger-qt-dev (>= 17.08~),
         ${misc:Depends},
         ${so:Depends},
Description: KDE Telepathy internal library - Development headers
 Internal library which consists of the most reused
 parts across KDE Telepathy.
 .
 This package contains development headers for
 the ktp-common-internals library.
 .
 You should not use this library for developing applications
 outside of the KDE Telepathy project umbrella. This package
 is only provided for compiling the rest of the components.

Package: libktpcommoninternals9abi1
X-Debian-ABI: 1
X-CMake-Target: KTpCommonInternals
Architecture: any
Multi-Arch: same
Depends: kaccounts-integration (>= 15.04),
         libkf5people5 (>= 0.3.0),
         libtelepathy-logger-qt5 (>= 15.04),
         telepathy-accounts-signon,
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: kde-telepathy-kaccounts (= ${binary:Version}),
            kde-telepathy-kpeople (= ${binary:Version}),
Description: KDE Telepathy common internal library
 Internal library which consists of the most reused
 parts across KDE Telepathy.
 .
 This contains the generic common components.

Package: libktplogger9abi1
X-Debian-ABI: 1
X-CMake-Target: KTpLogger
Architecture: any
Multi-Arch: same
Breaks: libktplogger9 (<< 20.04.3~),
Replaces: libktplogger9 (<< 20.04.3~),
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: KDE Telepathy internal logger library
 Internal library which consists of the most reused
 parts across KDE Telepathy.
 .
 This includes the shared KDE-Telepathy logger service.

Package: libktpmodels9abi1
X-Debian-ABI: 1
X-CMake-Target: KTpModels
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: KDE Telepathy data models internal library
 Internal library which consists of the most reused
 parts across KDE Telepathy.
 .
 This includes Qt models.

Package: libktpotr9
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: KDE Telepathy internal OTR library
 Internal library which consists of the most reused
 parts across KDE Telepathy.
 .
 This includes components to support OTR

Package: libktpwidgets9
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: KDE Telepathy common internal widgets library
 Internal library which consists of the most reused
 parts across KDE Telepathy.
 .
 This also includes common widgets like the contact grid.

Package: qml-module-org-kde-telepathy
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: kde-telepathy QtDeclarative QML support
 Contains a plugin for QtDeclarative that provides
 support for using KDE-Telepathy to components written
 in QML.
